# File to handle the navigational status meaning.

from enum import Enum

class NavigationalStatus(Enum):
    UNDERWAY_USING_ENGINE = 0
    AT_ANCHOR = 1
    NOT_UNDER_COMMAND = 2
    RESTRICTED_MANOEUVRABILITY = 3
    CONSTRAINED_BY_DRAUGHT = 4
    MOORED = 5
    AGROUND = 6
    ENGAGED_IN_FISHING = 7
    UNDERWAY_SAILING = 8
    AIS_SART = 14
    UNDEFINED = 15